%define base_name	kde-theme
%define theme_name	Metal4kde
%define name		%{base_name}-%{theme_name}
%define version		0.2
%define rel 		6
%define release		%mkrel %rel
%define __libtoolize /bin/true
%define __cputoolize /bin/true

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		Metal theme for KDE
License:		GPL
Group:			Graphical desktop/KDE
Source:			%{theme_name}-%{version}.tar.bz2
URL:			http://www.kde-look.org/content/show.php?content=17463
BuildRequires:		kdebase-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot

Provides: kde-style-metal4kde
Obsoletes: kde-style-metal4kde

%description
Just another metalic look for kde,
based on phase liquid and baghira.

%prep
rm -rf %buildroot
%setup -n %{theme_name}-%{version}

%build
make -f admin/Makefile.common cvs


# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }

%configure --disable-debug --disable-warnings --disable-rpath
%make

%install
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING NEWS
%{_libdir}/kde3/kstyle_%{theme_name}_config.*
%{_libdir}/kde3/plugins/styles/%{theme_name}.*
%{_libdir}/kde3/kwin3_%{theme_name}.*
%{_libdir}/kde3/kwin_%{theme_name}_config.la
%{_libdir}/kde3/kwin_%{theme_name}_config.so
%{_datadir}/apps/kwin/%{theme_name}.desktop
%{_datadir}/apps/kstyle/themes/%{theme_name}.themerc


%changelog
* Fri Jul 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2-6mdv2007.0
- Rebuild

*  Wed Mar 22 2006 Sebastien Savarin <plouf@mandriva.org> 0.2-5mdk
- Rebuild 

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2-4mdk
- Remove redundant Buildrequires

* Thu Dec 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2-3mdk
- Rebuild for missing package

* Mon May 09 2005 Sebastien Savarin <plouf@mandriva.org> 0.2-2mdk
- Rebuild for gcc-4.0

* Sat Apr 02 2005 Sebastien Savarin <plouf@mandrake.org> 0.2-1mdk
- 0.2 rechange theme name to kde-theme in due of addition of kwin deco

* Sat Mar 19 2005 Nicolas CHIPAUX <chipaux@mandrakesoft.com> 0.1g-2mdk 
- Fix for build on x86_64

* Fri Mar 05 2005 Sebastien Savarin <plouf@mandrake.org> 0.1g-1mdk
- 0.1g and change theme name to kde-style-metal4kde

* Fri Feb 04 2005 Couriousous <couriousous@mandrake.org> 0.1-0.beta1.1mdk
- From Sebastien Savarin <plouf@zarb.org> :
	- Initial Release.

